# Deep network: Layer Namespace Reference

Layer Namespace Reference

## Classes

class | ActivationLayer
class | ConvolutionLayer
class | FullConnectedLayer
class | Layer
class | Pooling

## Enumerations

enum | ActivationMap { Sigmoid }

## Functions

template<ActivationMap A>
Real | activation_map (Real)
template<ActivationMap A>
Real | activation_diff_map (Real)
template<>
Real | activation_map< Sigmoid > (Real x)
template<>
Real | activation_diff_map< Sigmoid > (Real x)

## Enumeration Type Documentation

## ActivationMap

enum Layer::ActivationMap

Enumeration type for the different implemented actiovation map

Enumerator
Sigmoid | \(x\mapsto \frac{1}{1+e^{-x}}\)

## Function Documentation

## activation_diff_map()

template<ActivationMap A>

Real Layer::activation_diff_map | ( | Real |  | ) |

Derivative of activation map.

## activation_diff_map< Sigmoid >()

template<>

Real Layer::activation_diff_map< Sigmoid > | ( | Real | x | ) |

inline

## activation_map()

template<ActivationMap A>

Real Layer::activation_map | ( | Real |  | ) |

Activation map.

## activation_map< Sigmoid >()

template<>

Real Layer::activation_map< Sigmoid > | ( | Real | x | ) |

inline